UiPath Documentation
automation-suite
2022.4
false
UiPath Automation Suite API ガイド
重要 :
このコンテンツの一部は機械翻訳によって処理されており、完全な翻訳を保証するものではありません。 新しいコンテンツの翻訳は、およそ 1 ~ 2 週間で公開されます。

ユーザーを削除する

ユーザー ID に基づいて、組織から複数のユーザーを削除します。

API エンドポイント​

DELETE https://{yourDomain}/{organizationName}/identity_/api/User

スコープ​

次のスコープが必要です。

  • PM.User
  • PM.User.Write

要求ヘッダー​

--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
注:

To obtain the {access_token}, make sure to authenticate through one of the methods described here.

パス パラメーター​

パス パラメーターデータ型説明
partitionGlobalId

(必須)
文字列ロボット アカウントを取得する対象の組織の ID です。

要求本文​

要求本文には、組織から一括削除するユーザー ID のリストが含まれます。

{
  "partitionGlobalId": "string",
  "userIds": [
    "string"
  ]
}
{
  "partitionGlobalId": "string",
  "userIds": [
    "string"
  ]
}

応答​

204 Success​

指定したロボット アカウントが組織から削除されます。

要求の例​

API 呼び出しの構築に必要な情報をすべて収集したとします。

  • Your {baseURL} is: https://{yourDomain}/{organizationName}/identity_
  • {access_token} は 1234 です (長さを考慮)。
  • {partitionGlobalId} は 3fa85f64-5717-4562-b3fc-2c963f66afa6 です。
  • 削除するユーザーの ID は次のとおりです。
    • Dolores Umbridge: dol-2908
    • Quirinus Quirrell: qui-2609

呼び出しは次の例のようになります (cURL)。

curl --location --request DELETE 'https://{yourDomain}/{organizationName}/identity_/api/User' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
    "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "userIds": [
        "dol-2908", "qui-2609"
    ]
}'
curl --location --request DELETE 'https://{yourDomain}/{organizationName}/identity_/api/User' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
--data-raw '{
    "partitionGlobalId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
    "userIds": [
        "dol-2908", "qui-2609"
    ]
}'
  • API エンドポイント​
  • スコープ​
  • 要求ヘッダー​
  • パス パラメーター​
  • 要求本文​
  • 応答​
  • 204 Success​
  • 要求の例​

このページは役に立ちましたか?

接続

ヘルプ リソース サポート

学習する UiPath アカデミー

質問する UiPath フォーラム

最新情報を取得